-- -----------------------------------------------------
-- Mail-Addon for OpenEstate-ImmoTool
-- update 6 for HSQLDB
-- Copyright (C) 2009-2017 OpenEstate.org
-- -----------------------------------------------------
-- Read 'message_is_received' in 'immotool_mails_messages' from 'immotool_mails_headers'
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Read 'message_is_received' in 'immotool_mails_messages' from 'immotool_mails_headers'
-- -----------------------------------------------------
UPDATE immotool_mails_messages
  SET message_is_received = true
  WHERE message_id IN (
    SELECT message_id FROM immotool_mails_parts WHERE part_id IN (
      SELECT part_id FROM immotool_mails_headers WHERE LCASE(header_key) = 'received'
    )
  );
