-- -----------------------------------------------------
-- Mail-Addon for OpenEstate-ImmoTool
-- update 9 for HSQLDB
-- Copyright (C) 2009-2017 OpenEstate.org
-- -----------------------------------------------------
-- Update 'access_*' fields in 'immotool_mails_accounts'
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Update 'access_*' fields in 'immotool_mails_accounts'
-- -----------------------------------------------------

UPDATE immotool_mails_accounts
  SET access_owner_id = 1 WHERE access_owner_id IS NULL;
UPDATE immotool_mails_accounts
  SET access_group_id = 1 WHERE access_group_id IS NULL;
UPDATE immotool_mails_accounts
  SET access_permissions = 0 WHERE access_permissions IS NULL;

ALTER TABLE immotool_mails_accounts
  ALTER COLUMN access_owner_id SET DEFAULT 1;
ALTER TABLE immotool_mails_accounts
  ALTER COLUMN access_group_id SET DEFAULT 1;
ALTER TABLE immotool_mails_accounts
  ALTER COLUMN access_permissions SET DEFAULT 0;

ALTER TABLE immotool_mails_accounts
  ALTER COLUMN access_owner_id SET NOT NULL;
ALTER TABLE immotool_mails_accounts
  ALTER COLUMN access_group_id SET NOT NULL;
ALTER TABLE immotool_mails_accounts
  ALTER COLUMN access_permissions SET NOT NULL;
